Firme errate su Lx 3

Tags: #<Tag:0x00007fc0bea99030>

E’ da più di una settimana che ottengo l’errore di firma sui pacchetti.
Ho provato a cancellare /var/cache/urpmi/ e rifatto l’update ma il problema permane.

I seguenti pacchetti hanno delle firme errate:
/var/cache/urpmi/rpms/firefox-67.0.1-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, ven 07 giu 2019 13:55:50 CEST, Key ID 3abba20db6f79837))
/var/cache/urpmi/rpms/firefox-en_GB-67.0.1-1-omv2015.0.noarch.rpm: Supporto senza chiave (OK (RSA/SHA1, ven 07 giu 2019 13:56:07 CEST, Key ID 3abba20db6f79837))
/var/cache/urpmi/rpms/firefox-it-67.0.1-1-omv2015.0.noarch.rpm: Supporto senza chiave (OK (RSA/SHA1, ven 07 giu 2019 13:56:10 CEST, Key ID 3abba20db6f79837))
/var/cache/urpmi/rpms/lib64crypto1.0.0-1.0.2s-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, lun 10 giu 2019 11:59:17 CEST, Key ID 01436470548ea9e8))
/var/cache/urpmi/rpms/lib64imobiledevice6-1.2.0-11-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, dom 09 giu 2019 09:51:00 CEST, Key ID 4b29c2863237e6e0))
/var/cache/urpmi/rpms/lib64mysqlclient18-10.1.40-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 14:28:07 CEST, Key ID 6f934aeb756c1e27))
/var/cache/urpmi/rpms/lib64openssl-devel-1.0.2s-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, lun 10 giu 2019 11:59:18 CEST, Key ID 01436470548ea9e8))
/var/cache/urpmi/rpms/lib64openssl-engines1.0.0-1.0.2s-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, lun 10 giu 2019 11:59:17 CEST, Key ID 01436470548ea9e8))
/var/cache/urpmi/rpms/lib64plist3-2.0.0-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, sab 08 giu 2019 19:51:58 CEST, Key ID 18d4fe09f8cac058))
/var/cache/urpmi/rpms/lib64pq5-9.6.13-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 13:52:26 CEST, Key ID d0eacca8c0199e67))
/var/cache/urpmi/rpms/lib64ssl1.0.0-1.0.2s-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, lun 10 giu 2019 11:59:18 CEST, Key ID 01436470548ea9e8))
/var/cache/urpmi/rpms/libcrypto1.0.0-1.0.2s-1-omv2015.0.i586.rpm: Supporto senza chiave (OK (RSA/SHA1, lun 10 giu 2019 11:45:13 CEST, Key ID fcc9e701070a9d5c))
/var/cache/urpmi/rpms/libplist-2.0.0-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, sab 08 giu 2019 19:51:58 CEST, Key ID 18d4fe09f8cac058))
/var/cache/urpmi/rpms/libreoffice-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:32 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-base-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:32 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-calc-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:33 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-common-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:33 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-draw-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:40 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-help-en_GB-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:23:04 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-help-en_US-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:23:04 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-help-it-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:23:11 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-impress-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:40 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-java-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:37 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-kde5-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:41 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-l10n-en_GB-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:49 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-l10n-it-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:51 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-math-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:41 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-style-breeze-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:42 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libreoffice-writer-6.1.6-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mar 28 mag 2019 14:22:43 CEST, Key ID 2e5a121745a43dc3))
/var/cache/urpmi/rpms/libssl1.0.0-1.0.2s-1-omv2015.0.i586.rpm: Supporto senza chiave (OK (RSA/SHA1, lun 10 giu 2019 11:45:14 CEST, Key ID fcc9e701070a9d5c))
/var/cache/urpmi/rpms/mariadb-client-10.1.40-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 14:28:55 CEST, Key ID 6f934aeb756c1e27))
/var/cache/urpmi/rpms/mariadb-common-10.1.40-1-omv2015.0.noarch.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 14:28:55 CEST, Key ID 6f934aeb756c1e27))
/var/cache/urpmi/rpms/mariadb-common-binaries-10.1.40-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 14:28:55 CEST, Key ID 6f934aeb756c1e27))
/var/cache/urpmi/rpms/mariadb-plugin-10.1.40-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 14:28:33 CEST, Key ID 6f934aeb756c1e27))
/var/cache/urpmi/rpms/mariadb-server-10.1.40-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 14:28:48 CEST, Key ID 6f934aeb756c1e27))
/var/cache/urpmi/rpms/openssl-1.0.2s-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, lun 10 giu 2019 11:59:17 CEST, Key ID 01436470548ea9e8))
/var/cache/urpmi/rpms/postgresql-9.6.13-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 13:52:25 CEST, Key ID d0eacca8c0199e67))
/var/cache/urpmi/rpms/postgresql-plpgsql-9.6.13-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 13:52:37 CEST, Key ID d0eacca8c0199e67))
/var/cache/urpmi/rpms/postgresql-server-9.6.13-1-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA1, mer 29 mag 2019 13:52:27 CEST, Key ID d0eacca8c0199e67))
/var/cache/urpmi/rpms/rubygem-bigdecimal-1.3.4-2-omv2015.0.x86_64.rpm: Supporto senza chiave (OK (RSA/SHA512, gio 28 feb 2019 01:19:54 CET, Key ID 180922d8bf81de15))

Non ho effettuato l’accesso a OM Lx 3 per una settimana o più, ma sono sicuro che quello che hai segnalato è corretto. C’è stato un problema con ABF e la firma dei pacchetti su cui gli sviluppatori stanno lavorando. Per risolvere questo problema, tutti i pacchetti firmati in modo errato dovranno essere ricostruiti.

Il problema è che il loro focus sarà su Cooker e OM Lx 4.0. L’acquisizione dei pacchetti nel repository 3.0 richiederà del tempo e potrebbe non essere eseguita prima che OM Lx 3 sia EOL il 30 giugno. Vedi questo post per ulteriori informazioni.

Translated from: I haven’t logged in to OM Lx 3 for a week or more myself but I’m sure what you report is correct. There has been a problem with ABF and package signing that developers are working on. To fix this all the incorrectly signed packages will need to be rebuilt.

Problem is their focus is going to be on Cooker and OM Lx 4.0 first. Getting packages in 3.0 repository will take some time, and may not get done before OM Lx 3 is EOL on June 30. See this post for more.

1 Like

@steros puoi installare questi pacchetti con l’aggiunta di un’opzione al comando urpmi. Penso che sia --noverify o --no-verify. urpmi --help dovrebbe avere l’opzione esatta. Qualcosa di simile a:

Translated from: @steros you can install those packages with adding an option to urpmi command. I think it is --noverify or --no-verify. urpmi --help should have the exact option. Something like:

$ sudo urpmi --no-verfy auto-update

$ sudo urpmi --no-verify <some_package>

# urpmi --auto-update --no-verify-rpm

:wink:

Grazie mille a entrambi. Volevo solo essere sicuro che non fossero stati compromessi.